# Class CSSSWTCursorHelper

java.lang.Object
org.eclipse.e4.ui.css.swt.helpers.CSSSWTCursorHelper

public class CSSSWTCursorHelper extends Object

## Constructor Summary

Constructors
Constructor
Description
`CSSSWTCursorHelper()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`getCSSCursor(Cursor cursor)`
`static Cursor`
`getSWTCursor(CSSValue value, Display display)`
`static int`
`getSWTCursorId(CSSPrimitiveValue value)`
`static void`
`restoreDefaultCursor(Control control)`
`static void`
`storeDefaultCursor(Control control)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CSSSWTCursorHelper

public CSSSWTCursorHelper()

## Method Details

### getSWTCursor

public static Cursor getSWTCursor(CSSValue value, Display display)

See Also:
  - http://www.w3schools.com/css/pr_class_cursor.asp

### getCSSCursor

public static String getCSSCursor(Cursor cursor)

### getSWTCursorId

public static int getSWTCursorId(CSSPrimitiveValue value)

### storeDefaultCursor

public static void storeDefaultCursor(Control control)

### restoreDefaultCursor

public static void restoreDefaultCursor(Control control)